
%global meadversion 1.3.1
%global namedversion 1.3.1.redhat-00003
%global meadalpha .redhat_00003
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00003

%{?scl:%scl_package microprofile-opentracing}
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.3.1.redhat-00003

Name:		    %{?scl_prefix}microprofile-opentracing
Summary:	    Specification for opentracing behavior in Microprofile
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: microprofile-opentracing-parent-1.3.1.redhat-00003-project-sources.tar.gz
Source102: microprofile-opentracing-spec-1.3.1.redhat-00003.pom
Source103: microprofile-opentracing-tck-1.3.1.redhat-00003.pom
Source104: microprofile-opentracing-tck-rest-client-1.3.1.redhat-00003.jar
Source105: microprofile-opentracing-api-1.3.1.redhat-00003-sources.jar
Source106: microprofile-opentracing-tck-rest-client-1.3.1.redhat-00003.pom
Source107: microprofile-opentracing-parent-1.3.1.redhat-00003.pom
Source108: microprofile-opentracing-tck-parent-1.3.1.redhat-00003.pom
Source109: microprofile-opentracing-api-1.3.1.redhat-00003.pom
Source110: microprofile-opentracing-tck-rest-client-1.3.1.redhat-00003-sources.jar
Source111: microprofile-opentracing-tck-1.3.1.redhat-00003.jar
Source112: microprofile-opentracing-tck-1.3.1.redhat-00003-sources.jar
Source113: microprofile-opentracing-api-1.3.1.redhat-00003.jar
%endif

License:        ASL 2.0
URL:            http://microprofile.io
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for microprofile-opentracing
Group:          Development/Java


%description javadoc
Javadoc for microprofile-opentracing
%endif

%package -n %{?scl_prefix}microprofile-opentracing-api
Summary:        MicroProfile Opentracing API
Group:          Development/Java

%description -n %{?scl_prefix}microprofile-opentracing-api
%{summary}.

%package -n %{?scl_prefix}microprofile-opentracing-tck
Summary:        MicroProfile Opentracing TCK
Group:          Development/Java

%description -n %{?scl_prefix}microprofile-opentracing-tck
%{summary}.

%prep
%if 0
%setup -q -n microprofile-opentracing-parent -T -b 100
%endif

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/microprofile-opentracing-api-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-opentracing-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/microprofile-opentracing-tck-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-opentracing-tck-%{namedversion}.jar


%{__cp} -p %{_sourcedir}/microprofile-opentracing-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-opentracing-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/microprofile-opentracing-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-opentracing-tck-%{namedversion}-sources.jar

%if %with javadoc
%{__cp} -p %{_sourcedir}/microprofile-opentracing-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-opentracing-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/microprofile-opentracing-tck-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-opentracing-tck-%{namedversion}-javadoc.jar
%endif


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/microprofile-opentracing-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/ microprofile-opentracing-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/microprofile-opentracing-api-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s microprofile-opentracing-api-%{namedversion} microprofile-opentracing-api)

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}microprofile-opentracing-api
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-opentracing-api-%{namedversion}.jar
%{_javadir}/microprofile-opentracing-api.jar
%{_javadir}/microprofile-opentracing-api-%{namedversion}-sources.jar
%{_javadir}/microprofile-opentracing-api-sources.jar

%files -n %{?scl_prefix}microprofile-opentracing-tck
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-opentracing-tck-%{namedversion}.jar
%{_javadir}/microprofile-opentracing-tck.jar
%{_javadir}/microprofile-opentracing-tck-%{namedversion}-sources.jar
%{_javadir}/microprofile-opentracing-tck-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/microprofile-opentracing-core
%{_javadocdir}/microprofile-opentracing-core-%{namedversion}
%endif

%changelog
* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.redhat_00003.1
- 1.3.1

* Tue Oct 23 2018 Yong Yang <yyang@redhat.com> - 1.1.0-2.redhat_00002.1
- 1.1.0.redhat_00002

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00001.1
- 1.1.0.redhat-00001

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00001.1
- 1.1.0.redhat-00001

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00001.1
- 1.1.0.redhat-00001

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 1.1.0.redhat-00001
- Init build
